/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package modelo;

/**
 * Clase que guarda la direccion donde se encuentra la imagen que queremos 
 * mostrar, así como su título
 */
public class Imagen extends Rastreable{
    /**
     * Título de la imagen
     */
    private String nombre;
    /**
     * Ruta donde se encuentra la imagen.
     */
    private String ruta;
    /**
     * Este parámetro estático, lleva la cuenta del número de imagenes
     * que se han creado, para poder reconocerlos unívocamente.
     */
    static int n_instancia=0;
    /**
     * identificado unívoco de la imagen.
     */
    private int numero_id;
    /**
     * Constructor de la clase que inicializa y guarda el némero de identificación.
     */
    public Imagen() {
        n_instancia++;
        numero_id=n_instancia;
    }

    /**
     * @return the nombre
     */
    public String getNombre() {
        return nombre;
    }

    /**
     * @param nombre the nombre to set
     */
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    /**
     * @return the ruta
     */
    public String getRuta() {
        return ruta;
    }

    /**
     * @param ruta the ruta to set
     */
    public void setRuta(String ruta) {
        this.ruta = ruta;
    }

    /**
     * @return the numero_id
     */
    public int getNumero_id() {
        return numero_id;
    }
    
    @Override
    public String toString() {
        return "[IMG]-"+numero_id+" "+nombre;
    }
}
